> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# removeDeductions

> The `removeDeductions` API is used to remove deduction entries for an employee in a pay period.

### When to use:
- When correcting deduction mistakes before payroll submission
- When removing specific deduction types (401k, health insurance, etc.)

### Notes:
- Pay period must be in an editable state (see the 'Payroll Processing` guide)
- deductionDescription can be included to remove specific deductions for a user
- Automatically updates earnings calculations after removal



## OpenAPI

````yaml post /payroll/removeDeductions
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /payroll/removeDeductions:
    post:
      tags: []
      summary: removeDeductions
      description: >-
        The `removeDeductions` API is used to remove deduction entries for an
        employee in a pay period.


        ### When to use:

        - When correcting deduction mistakes before payroll submission

        - When removing specific deduction types (401k, health insurance, etc.)


        ### Notes:

        - Pay period must be in an editable state (see the 'Payroll Processing`
        guide)

        - deductionDescription can be included to remove specific deductions for
        a user

        - Automatically updates earnings calculations after removal
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                payPeriodId:
                  type: string
                userId:
                  type: string
                deductionDescription:
                  type: string
              required:
                - method
                - companyId
                - payPeriodId
                - userId
            example:
              method: removeDeductions
              companyId: 3A08507F-E78B-4ABF-98D8-87D382E7CE14
              payPeriodId: 43CCBBDF-8CF3-472E-874D-888E7911BB1F
              userId: 5F45CFBA-4AED-41AF-B334-E02D23BA17AE
              deductionDescription: 125DC Reg
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  removeDeductionOnly:
                    type: object
                    properties:
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - status
                      - message
                required:
                  - removeDeductionOnly
              examples:
                '1':
                  summary: Success
                  value:
                    removeDeductionOnly:
                      status: Success
                      message: 125DC Reg deduction has been removed successfully.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: userId is mandatory
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                required:
                  - error
              example:
                error:
                  code: 400
                  message: UserId is mandatory
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````